Create empty vacation calendar
curl --request POST \
--url https://api-{region}.sesametime.com/schedule/v1/vacation-calendars/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employeeId": "eb5a136f-dc38-46eb-bf55-d2e2bf86903e",
"vacationTypeId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"year": 2024
}
'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/vacation-calendars/create"
payload = {
"employeeId": "eb5a136f-dc38-46eb-bf55-d2e2bf86903e",
"vacationTypeId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"year": 2024
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employeeId: 'eb5a136f-dc38-46eb-bf55-d2e2bf86903e',
vacationTypeId: 'f47ac10b-58cc-4372-a567-0e02b2c3d479',
year: 2024
})
};
fetch('https://api-{region}.sesametime.com/schedule/v1/vacation-calendars/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Vacation Calendars
Create empty vacation calendar
Creates an empty vacation calendar for a specific employee and year. Days off should be added using POST /vacation-calendars/days-off endpoint.
POST
/
schedule
/
v1
/
vacation-calendars
/
create
Create empty vacation calendar
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Employee, vacation type and year information
Response
Empty vacation calendar created successfully
Was this page helpful?
⌘I